# Install script for directory: /home/yohan/devel/git/diamesh/src/core

# Set the install prefix
if(NOT DEFINED CMAKE_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "/home/yohan/install/diamesh")
endif()
string(REGEX REPLACE "/$" "" CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")

# Set the install configuration name.
if(NOT DEFINED CMAKE_INSTALL_CONFIG_NAME)
  if(BUILD_TYPE)
    string(REGEX REPLACE "^[^A-Za-z0-9_]+" ""
           CMAKE_INSTALL_CONFIG_NAME "${BUILD_TYPE}")
  else()
    set(CMAKE_INSTALL_CONFIG_NAME "Debug")
  endif()
  message(STATUS "Install configuration: \"${CMAKE_INSTALL_CONFIG_NAME}\"")
endif()

# Set the component getting installed.
if(NOT CMAKE_INSTALL_COMPONENT)
  if(COMPONENT)
    message(STATUS "Install component: \"${COMPONENT}\"")
    set(CMAKE_INSTALL_COMPONENT "${COMPONENT}")
  else()
    set(CMAKE_INSTALL_COMPONENT)
  endif()
endif()

# Install shared libraries without execute permission?
if(NOT DEFINED CMAKE_INSTALL_SO_NO_EXE)
  set(CMAKE_INSTALL_SO_NO_EXE "1")
endif()

if(NOT CMAKE_INSTALL_COMPONENT OR "${CMAKE_INSTALL_COMPONENT}" STREQUAL "Unspecified")
  foreach(file
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libdiamesh05.so.0.5.2"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libdiamesh05.so"
      )
    if(EXISTS "${file}" AND
       NOT IS_SYMLINK "${file}")
      file(RPATH_CHECK
           FILE "${file}"
           RPATH "")
    endif()
  endforeach()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib" TYPE SHARED_LIBRARY FILES
    "/home/yohan/devel/git/diamesh/build/src/core/libdiamesh05.so.0.5.2"
    "/home/yohan/devel/git/diamesh/build/src/core/libdiamesh05.so"
    )
  foreach(file
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libdiamesh05.so.0.5.2"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libdiamesh05.so"
      )
    if(EXISTS "${file}" AND
       NOT IS_SYMLINK "${file}")
      if(CMAKE_INSTALL_DO_STRIP)
        execute_process(COMMAND "/usr/bin/strip" "${file}")
      endif()
    endif()
  endforeach()
endif()

if(NOT CMAKE_INSTALL_COMPONENT OR "${CMAKE_INSTALL_COMPONENT}" STREQUAL "Unspecified")
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/diamesh05/diamesh" TYPE FILE FILES
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/master.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/authmanager.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/sessionManager.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/usermanager.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/node.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/types.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/info.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/nodeinfo.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/filetransfer.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/hsetmanager.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/accessrights.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/qiceobj_master.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/qiceobj_authmanager.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/qiceobj_sessionManager.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/qiceobj_usermanager.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/qiceobj_node.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/qiceobj_nodeinfo.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/qiceobj_filetransfer.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/qiceobj_hsetmanager.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/qiceobj_accessrights.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/proxies_master.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/proxies_authmanager.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/proxies_sessionManager.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/proxies_usermanager.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/proxies_node.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/proxies_nodeinfo.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/proxies_filetransfer.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/proxies_hsetmanager.h"
    "/home/yohan/devel/git/diamesh/build/src/core/diamesh/proxies_accessrights.h"
    )
endif()

if(NOT CMAKE_INSTALL_COMPONENT OR "${CMAKE_INSTALL_COMPONENT}" STREQUAL "Unspecified")
  list(APPEND CMAKE_ABSOLUTE_DESTINATION_FILES
   "/home/yohan/install/diamesh/lib/python3.4/dist-packages//")
  if(CMAKE_WARN_ON_ABSOLUTE_INSTALL_DESTINATION)
    message(WARNING "ABSOLUTE path INSTALL DESTINATION : ${CMAKE_ABSOLUTE_DESTINATION_FILES}")
  endif()
  if(CMAKE_ERROR_ON_ABSOLUTE_INSTALL_DESTINATION)
    message(FATAL_ERROR "ABSOLUTE path INSTALL DESTINATION forbidden (by caller): ${CMAKE_ABSOLUTE_DESTINATION_FILES}")
  endif()
file(INSTALL DESTINATION "/home/yohan/install/diamesh/lib/python3.4/dist-packages/" TYPE DIRECTORY FILES "/home/yohan/devel/git/diamesh/build/src/core/diamesh/python/")
endif()

if(NOT CMAKE_INSTALL_COMPONENT OR "${CMAKE_INSTALL_COMPONENT}" STREQUAL "Unspecified")
  list(APPEND CMAKE_ABSOLUTE_DESTINATION_FILES
   "/home/yohan/install/diamesh/lib/python3.4/dist-packages//")
  if(CMAKE_WARN_ON_ABSOLUTE_INSTALL_DESTINATION)
    message(WARNING "ABSOLUTE path INSTALL DESTINATION : ${CMAKE_ABSOLUTE_DESTINATION_FILES}")
  endif()
  if(CMAKE_ERROR_ON_ABSOLUTE_INSTALL_DESTINATION)
    message(FATAL_ERROR "ABSOLUTE path INSTALL DESTINATION forbidden (by caller): ${CMAKE_ABSOLUTE_DESTINATION_FILES}")
  endif()
file(INSTALL DESTINATION "/home/yohan/install/diamesh/lib/python3.4/dist-packages/" TYPE DIRECTORY FILES "/home/yohan/devel/git/diamesh/build/src/core/diamesh/python/")
endif()

