#include "qiceobj_master.h"
#include <QtIce/utils.h>
#include <QtCore/QDebug>

_Diamesh_Master::_Diamesh_Master() :
  QIceObject()
{
  qRegisterMetaType< QString >("QString");
  QObject::connect(this, SIGNAL(nodeRemoved(QString)), this, SLOT(_emit_nodeRemoved(QString)));
  QObject::connect(this, SIGNAL(nodeAdded(QString)), this, SLOT(_emit_nodeAdded(QString)));
}

_Diamesh_Master::~_Diamesh_Master()
{
}

Q_DECLARE_METATYPE(QString)

void _Diamesh_Master::_emit_nodeRemoved(QString arg0)
{
  QVariantList args;
  args << QVariant::fromValue(arg0);
  emitSignal("nodeRemoved(QString)", "nodeRemoved(QString)", args);
}

void _Diamesh_Master::_emit_nodeAdded(QString arg0)
{
  QVariantList args;
  args << QVariant::fromValue(arg0);
  emitSignal("nodeAdded(QString)", "nodeAdded(QString)", args);
}


