#include "qiceobj_usermanager.h"
#include <QtIce/utils.h>
#include <QtCore/QDebug>

_Diamesh_UserManager::_Diamesh_UserManager() :
  QIceObject()
{
  qRegisterMetaType< Ice::Long >("Ice::Long");
  QObject::connect(this, SIGNAL(userRemoved(Ice::Long)), this, SLOT(_emit_userRemoved(Ice::Long)));
  QObject::connect(this, SIGNAL(groupChanged(Ice::Long)), this, SLOT(_emit_groupChanged(Ice::Long)));
  QObject::connect(this, SIGNAL(groupAdded(Ice::Long)), this, SLOT(_emit_groupAdded(Ice::Long)));
  QObject::connect(this, SIGNAL(groupRemoved(Ice::Long)), this, SLOT(_emit_groupRemoved(Ice::Long)));
  QObject::connect(this, SIGNAL(userChanged(Ice::Long)), this, SLOT(_emit_userChanged(Ice::Long)));
  QObject::connect(this, SIGNAL(userAdded(Ice::Long)), this, SLOT(_emit_userAdded(Ice::Long)));
}

_Diamesh_UserManager::~_Diamesh_UserManager()
{
}

Q_DECLARE_METATYPE(Ice::Long)

void _Diamesh_UserManager::_emit_userRemoved(Ice::Long arg0)
{
  QVariantList args;
  args << QVariant::fromValue(arg0);
  emitSignal("userRemoved(Ice::Long)", "userRemoved(Ice::Long)", args);
}

void _Diamesh_UserManager::_emit_groupChanged(Ice::Long arg0)
{
  QVariantList args;
  args << QVariant::fromValue(arg0);
  emitSignal("groupChanged(Ice::Long)", "groupChanged(Ice::Long)", args);
}

void _Diamesh_UserManager::_emit_groupAdded(Ice::Long arg0)
{
  QVariantList args;
  args << QVariant::fromValue(arg0);
  emitSignal("groupAdded(Ice::Long)", "groupAdded(Ice::Long)", args);
}

void _Diamesh_UserManager::_emit_groupRemoved(Ice::Long arg0)
{
  QVariantList args;
  args << QVariant::fromValue(arg0);
  emitSignal("groupRemoved(Ice::Long)", "groupRemoved(Ice::Long)", args);
}

void _Diamesh_UserManager::_emit_userChanged(Ice::Long arg0)
{
  QVariantList args;
  args << QVariant::fromValue(arg0);
  emitSignal("userChanged(Ice::Long)", "userChanged(Ice::Long)", args);
}

void _Diamesh_UserManager::_emit_userAdded(Ice::Long arg0)
{
  QVariantList args;
  args << QVariant::fromValue(arg0);
  emitSignal("userAdded(Ice::Long)", "userAdded(Ice::Long)", args);
}


