/******************************************************************************
**
** Copyright (C) 2011-2012 DIATEAM. All rights reserved.
**
** This file is part of diamesh.
**
** Hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2 
** as published by the Free Software Foundation.
**
** Hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef TESTMASTERI_H
#define TESTMASTERI_H
#include <diamesh/masterI.h>
#include "testmaster.h"
#include "diamesh/filetransferI.h"

namespace Diamesh
{
class TestMasterI : public MasterI, public TestMaster
{
public:
    ::Diamesh::FileTransferPrx createFileTransfer(const std::string &fileName, const Ice::Current & = ::Ice::Current());

private:
    FileTransferI *_fileTransfer;


};
}
#endif // TESTMASTERI_H
