find_package(PkgConfig)

pkg_check_modules(PC_GVNC gvnc-1.0)

find_library(GVNC_LIBRARIES
             NAMES gvnc-1.0
             HINTS ${PC_GVNC_LIBDIR} ${PC_GVNC_LIBRARY_DIRS}
)

find_path(GVNC_INCLUDE_DIRS gvnc-1.0/gvnc.h
          HINTS ${PC_GVNC_INCLUDEDIR} ${PC_GVNC_INCLUDE_DIRS}
)

set(GVNC_INCLUDE_DIRS ${GVNC_INCLUDE_DIRS} ${GVNC_INCLUDE_DIRS}/gvnc-1.0)

find_package_handle_standard_args(FindGVNC REQUIRED_VARS GVNC_LIBRARIES GVNC_INCLUDE_DIRS)
