find_package(PkgConfig)

pkg_check_modules(PC_LIBMNL libmnl)

find_library(MNL_LIBRARIES
             NAMES mnl
             HINTS ${PC_LIBMNL_LIBDIR} ${PC_LIBMNL_LIBRARY_DIRS}
)

find_path(MNL_INCLUDE_DIRS libmnl/libmnl.h
          HINTS ${PC_LIBMNL_INCLUDEDIR} ${PC_LIBMNL_LIBRARY_INCLUDE_DIRS}
)

find_package_handle_standard_args(LibMnl REQUIRED_VARS MNL_LIBRARIES MNL_INCLUDE_DIRS)
