// ****************************************************************************
//
// Copyright (C) 2003-2012 DIATEAM. All rights reserved.
//
// This file is part of Hynesim.
//
// Hynesim is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License version 2 
// as published by the Free Software Foundation.
//
// Hynesim is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// ****************************************************************************

#ifndef CAPTURE_JOB_OPTIONS_ICE
#define CAPTURE_JOB_OPTIONS_ICE

#include <QtIce/qtice.ice>
#include <diamesh/types.ice>

module Hns
{

const int captureAll = -1;

struct CaptureJobOptions
{
    int numberpackets = 0;
    long timer = 0;
    string filteringterms = "";
    Diamesh::IntList interfaceList;
};


};

#endif // CAPTURE_JOB_OPTIONS_ICE

