/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of Hynesim.
**
** Hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2
** as published by the Free Software Foundation.
**
** Hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef CONSTANTS_H
#define CONSTANTS_H

namespace Hns {
namespace Constants {

const char SETTINGS_HYNESIM_GROUP[] = "Hynesim";

const char SETTINGS_PLUGINS_GROUP[] = "Plugins";
const char SETTINGS_PLUGINS_ENABLED[] = "enabled";

const char SETTINGS_FILE_STORAGE_ARRAY[] = "FileStorages";
const char SETTINGS_FILE_STORAGE_TYPE[] = "type";
const char SETTINGS_FILE_STORAGE_PATH[] = "path";
const char SETTINGS_FILE_STORAGE_NAME[] = "name";

const char SETTINGS_SCRIPTS_DIRECTORY[] = "scriptsDirectory";
const char SETTINGS_VBOX_UUIDS_SCRIPT[] = "changeVBoxDisksUUIDs.py";

const double CURRENT_VERSION_ARCHIVE_XML = 2.2;
const double CURRENT_COMPATIBILITY_VERSION_ARCHIVE_XML = 2.0;
const double DEFAULT_VERSION_ARCHIVE_XML = 1.0;
const double CURRENT_VERSION_XML = 1.1;

const char * const SETTINGS_RESOURCEPATH = "CustomResourcePath";
const char * const RESOURCE_MANAGER_PROXY_NAME = "CustomResourceManager";
} // namespace Constants
} // namespace Hns

#endif // CONSTANTS_H
