/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2 
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef HNS_H
#define HNS_H

// Generated hynesim headers
#include "common/resource.h"

// diamesh headers
#include <diamesh/constants.h>

// Qt headers
#include <QString>

namespace Hns {

void loadTranslation(QString filePrefix, bool loadExternal = true);
int getNearestMultipleOf(int value, int multiple);

enum HynesimMasterFeatures {
    MonitoringEnabled = Diamesh::Constants::CUSTOM_MASTER_FLAG << 1
};

} // namespace Hns

#endif // HNS_H
