// ****************************************************************************
//
// Copyright (C) 2003-2012 DIATEAM. All rights reserved.
//
// This file is part of Hynesim.
//
// Hynesim is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License version 2 
// as published by the Free Software Foundation.
//
// Hynesim is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// ****************************************************************************

#ifndef HYBRID_NETCARD_ICE
#define HYBRID_NETCARD_ICE

#include <common/entity.ice>
#include <common/types.ice>

module Hns
{

["qtice:qiceobj:include:entityI.h",
"qtice:qiceobj:baseClass:Hns::EntityI",
"signal:void newMacAddr(QString)",
"signal:void macAddrGone(QString)",
"signal:void macBecameActive(QString)",
"signal:void macBecameInactive(QString)"]
interface HybridNetcard extends Entity 
{
    MacAddressMap getMacAddresses();
};

};

#endif // HYBRID_NETCARD_ICE
