// ****************************************************************************
//
// Copyright (C) 2003-2012 DIATEAM. All rights reserved.
//
// This file is part of Hynesim.
//
// Hynesim is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License version 2 
// as published by the Free Software Foundation.
//
// Hynesim is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// ****************************************************************************

#ifndef NODE_CAPTURE_JOB_ICE
#define NODE_CAPTURE_JOB_ICE

#include <QtIce/qtice.ice>
#include <common/job.ice>
#include <common/types.ice>
#include <common/capturejoboptions.ice>

module Hns
{

interface Job;

};

module HnsNode
{

["qtice:qiceobj:include:common/jobI.h",
"qtice:qiceobj:baseClass:Hns::JobI"]
interface CaptureJob extends Hns::Job
{
        bool setOptions(Hns::CaptureJobOptions c);
        string getCaptureJobFileMixedPath();
        Hns::PcapInfo getPcapInfo();
};

};

#endif // NODE_CAPTURE_JOB_ICE
