// ****************************************************************************
//
// Copyright (C) 2003-2012 DIATEAM. All rights reserved.
//
// This file is part of Hynesim.
//
// Hynesim is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License version 2 
// as published by the Free Software Foundation.
//
// Hynesim is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// ****************************************************************************

#ifndef HNS_MONITOR_ICE
#define HNS_MONITOR_ICE

#include <QtIce/qtice.ice>
#include <common/monitordata.ice>

module Hns {

["signal:void entityDataChanged(Hns::EntityMonitorDataMap)"]
interface NodeMonitor extends QtIce::SignalEmitter
{
	EntityMonitorDataMap getEntityMonitorDataMap();
};

};

#endif // HNS_MONITOR_ICE
