/******************************************************************************
**
** Copyright (C) 2013 DIATEAM. All rights reserved.
**
** This file is part of Hynesim.
**
** Hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2
** as published by the Free Software Foundation.
**
** Hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/
#ifndef HYNESIM_RIGHTSLIST_H
#define HYNESIM_RIGHTSLIST_H
namespace Hns {

namespace Rights{

const char * const ACL_TARGET_ENTRY         = "entry";
const char * const ACL_TARGET_ENTITYENTRY   = "entityEntry";
const char * const ACL_TARGET_TOPOLOGYENTRY = "topologyEntry";
const char * const ACL_TARGET_FOLDER = "folder";

const char * const ENTITY_ENTRY_PREFIX = "hynesim.entityentry";
const char * const TOPOLOGY_ENTRY_PREFIX = "hynesim.topologyentry";
const char * const FOLDER_PREFIX = "hynesim.folder";
const char * const ENTRY_SUFFIX_READ = ".read";
const char * const ENTRY_SUFFIX_DELETE = ".delete";
const char * const ENTRY_SUFFIX_UPDATE_ENTRY = ".updateentry";
const char * const ENTRY_SUFFIX_USE = ".use";
const char * const ENTRY_SUFFIX_USE_CLONE = ".use.clone";
const char * const ENTRY_SUFFIX_USE_INSTANTIATE = ".use.instantiate";
const char * const ENTRY_SUFFIX_USE_DISCARD_SAVE_STATE = ".use.discardsavestate";
const char * const ENTRY_SUFFIX_USE_BUILD_MODEL_FROM = ".use.buildmodelfrom";
const char * const FOLDER_SUFFIX_READ = ".read";
const char * const FOLDER_SUFFIX_UPDATE_FOLDER = ".updatefolder";
const char * const FOLDER_SUFFIX_DELETE = ".delete";
}// namespace  Rights

} // namespace Hns
#endif
