#!/bin/bash
#
# Copyright (C) 2011 diateam. All rights reserved.
#
# This file is part of hynesim.
#
# Hynesim is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# Hynesim is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
PATH="/usr/bin:/usr/sbin:/bin:/sbin"

source $(dirname $0)/scriptLib.sh

bridgeName=$1
isHub=$3
brctl addbr $bridgeName
brctl setfd $bridgeName 0
brctl stp $bridgeName off

if [ $isHub -eq "1" ]
then
  brctl setageing $bridgeName 0
fi

state=${2-"up"}

nft add rule bridge hynesim_filter output meta obriport $bridgeName drop

$(dirname $0)/hnsSetIfState.sh $bridgeName $state
