#!/bin/bash
source $(dirname $0)/scriptLib.sh

ifname=vmnet${1}
device=/dev/${ifname}
setup=$2
pidDir=/var/run/hynesim

mkdir -p $pidDir
mknod -m 600 $device c 119 $1 2>/dev/null
vmnet-netifup -d ${pidDir}/${ifname}.pid $device $ifname

if [ $setup -eq "1" ]
then
    $(dirname $0)/hnsSetupTap.sh $ifname
fi
$(dirname $0)/hnsSetIfState.sh $ifname up
