#!/bin/bash
#
# Copyright (C) 2011 diateam. All rights reserved.
#
# This file is part of hynesim.
#
# Hynesim is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# Hynesim is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
PATH="/usr/bin:/usr/sbin:/bin:/sbin"

ip l|grep $2 &>/dev/null
if [ $? -eq 0 ]
then
        echo "VXLAN interface $2 already exists, not creating it again"
        exit 0
fi
ip link add link $1 name $2 type vxlan id $3 remote $4 dstport 4789
ip link set dev $2 up
echo 0 > /proc/sys/net/ipv6/conf/$2/router_solicitations
