import sqlite3

from __main__ import Migration


ELEMENTS_TABLE = "elements"
TYPE_COLUMN = "type"
HSETID_COLUMN = "hsetid"


class AddHsetIdToFolders(Migration):

    def migrate_impl(self):
        db_path = self.db_name_path_dict['Hynesim/catalog/dbName']

        conn = sqlite3.connect(db_path)
        conn.execute("UPDATE %s SET %s=1 WHERE %s=3" % (ELEMENTS_TABLE, HSETID_COLUMN, TYPE_COLUMN))
        conn.commit()
        conn.close()
