drop table if exists users;
create table if not exists users(id integer primary key autoincrement, name text unique not null, isAdmin integer, isEnabled integer, creationGroupId integer, creationPerms integer, createdOn integer, modifiedOn integer, firstname text, lastname text, isAdvanced integer);

drop table if exists groups;
create table if not exists groups(id integer primary key autoincrement, name text unique not null, createdOn integer, modifiedOn integer);

drop table if exists join_groups_users;
create table if not exists join_groups_users(groupId integer references groups(id) on delete cascade, userId integer references users(id) on delete cascade);
