/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2 
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef FILTERLINEEDIT_H
#define FILTERLINEEDIT_H

// Project headers
#include "hnvwidgets.h"

namespace Hnv {

/*******************************************************************************
* FilterLineEdit
*/
class FilterLineEdit : public ButtonLineEdit
{
    Q_OBJECT
public:
    explicit FilterLineEdit(QWidget *parent = 0);

protected:
    void paintEvent(QPaintEvent *event);

private slots:
    void _updateClearButton(const QString &text);
};

} // namespace Hnv
#endif // FILTERLINEEDIT_H

