/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2 
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef USERMANAGERTABS_H
#define USERMANAGERTABS_H

// Qt headers
#include <QWidget>

namespace Ui {
class UserManagerTabs;
} // namespace Ui

namespace Hnv {

/*******************************************************************************
* UserManagerTabs
*******************************************************************************/
class UserManagerTabs : public QWidget
{
    Q_OBJECT
public:
    explicit UserManagerTabs(QWidget *parent = 0);    
    ~UserManagerTabs();

private slots:
    void on_action_Users_triggered();
    void on_action_Groups_triggered();
    void _setAccessor();
    void _sessionDisconnectedSlot();

private:
    Ui::UserManagerTabs *ui;
};

} // namespace Hnv
#endif // USERMANAGERTABS_H
