/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef HNSCLIENT_FILETRANSFERCLIENT_P_H
#define HNSCLIENT_FILETRANSFERCLIENT_P_H

// Qt headers
#include <QString>

namespace Diamesh {
class FileTransferClient;
} // namespace Diamesh

namespace HnsClient {

/*******************************************************************************
* FileTransferClientPrivate
*******************************************************************************/
class FileTransferClientPrivate
{
public:
    explicit FileTransferClientPrivate();
    virtual ~FileTransferClientPrivate();

    Diamesh::FileTransferClient *transfertClient;
    QString remoteFileName;
    QString temporaryDirPath;
    QString localFileAbsolutePath;
};

} // namespace HnsClient

#endif //HNSCLIENT_FILETRANSFERCLIENT_P_H
