/******************************************************************************
**
** Copyright (C) 2003-2016 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef ENTITYENTRYRELATIONSHIPMAPPER_H
#define ENTITYENTRYRELATIONSHIPMAPPER_H

// Qt project headers
#include <QString>

namespace Hns {

class EntityEntryRelationshipMapper
{
public:
    static bool init();
    static void close();
    static bool addRelationship(const QString &baseUuid, const QString &diffUuid);
    static bool removeRelationship(const QString &baseUuid, const QString &diffUuid);
    static QString getBaseUuid(const QString &diffUuid);
    static QStringList getDiffUuids(const QString &baseUuid);
};

} // namespace Hns

#endif // ENTITYENTRYRELATIONSHIPMAPPER_H
