#ifndef FOLDERWRAPPER_H
#define FOLDERWRAPPER_H

#include "catalogitemwrapper.h"

#include <QObject>

namespace Hns {

class FolderWrapper : public CatalogItemWrapper
{
    Q_OBJECT
public:
    Q_INVOKABLE explicit FolderWrapper(QObject *parent = 0);
    virtual bool update(CatalogDBStorage *db, CatalogFileStorage *fileStorage, CatalogItemPtr newItem);
    virtual bool create(CatalogDBStorage *db, CatalogFileStorage *fileStorage, CatalogItemPtr newItem, const Diamesh::UserPtr &currentUser);
    virtual bool remove(CatalogDBStorage *db, CatalogFileStorage *fileStorage);
};

} // namespace Hns

#endif // FOLDERWRAPPER_H
