#ifndef TOPOLOGYENTRYWRAPPER_H
#define TOPOLOGYENTRYWRAPPER_H

#include "entrywrapper.h"

#include <QObject>

namespace Hns {

class TopologyEntryWrapper : public EntryWrapper
{
    Q_OBJECT
public:
    Q_INVOKABLE explicit TopologyEntryWrapper(QObject *parent = 0);
    virtual bool update(CatalogDBStorage *db, CatalogFileStorage *fileStorage, CatalogItemPtr newItem);
    virtual bool create(CatalogDBStorage *db, CatalogFileStorage *fileStorage, CatalogItemPtr newItem, const Diamesh::UserPtr &currentUser);
    virtual bool remove(CatalogDBStorage *db, CatalogFileStorage *fileStorage);
};

} // namespace Hns
#endif // TOPOLOGYENTRYWRAPPER_H
