/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of Hynesim.
**
** Hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2 
** as published by the Free Software Foundation.
**
** Hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef HNS_CLONE_JOB_OPENVZ_H
#define HNS_CLONE_JOB_OPENVZ_H

// hynesim master headers
#include "clonejobdomain.h"

namespace Hns {

class CloneJobLxc: public CloneJobDomain
{
    Q_OBJECT

public:
    Q_INVOKABLE CloneJobLxc(Hns::EntityEntryPtr originalEntry, Hns::EntityEntryPtr clonedEntry, int flags);
    virtual ~CloneJobLxc();
    static bool canClone(const Hns::EntityEntryPtr &entityEntry);
};

} // namespace Hns

#endif // HNS_CLONE_JOB_OPENVZ_H
