/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of Hynesim.
**
** Hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2
** as published by the Free Software Foundation.
**
** Hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef NODECONSTANTS_H
#define NODECONSTANTS_H

namespace HnsNode {
namespace Constants {
    const char * const GETOPT_PLATFORM_BLACKLIST = "platform-blacklist";
    const char GETOPT_PLATFORM_BLACKLIST_KEY = 'b';

    const char SETTINGS_NODE_GROUP[] = "Node";
    const char SETTINGS_PLATFORMS_GROUP[] = "Platforms";
    const char SETTINGS_HANDLE_STATE_LINK[] = "HandleStateLink";
    const char SETTINGS_DYNAMIPS_PLATFORM_GROUP[] = "DynamipsRouter";
    const char SETTINGS_HYBRID_NETCARD_PLATFORM_GROUP[] = "HybridNetcard";
    const char SETTINGS_KERNEL_BRIDGE_SWITCH_PLATFORM_GROUP[] = "KernelBridge";
    const char SETTINGS_OPEN_V_SWITCH_PLATFORM_GROUP[] = "OpenVSwitch";
    const char SETTINGS_VIRTUALBOX_PLATFORM_GROUP[] = "VirtualBox";
    const char SETTINGS_KVMQEMU_PLATFORM_GROUP[] = "KvmQemu";
    const char SETTINGS_LXC_PLATFORM_GROUP[] = "LXC";
    const char SETTINGS_WIFIAP_PLATFORM_GROUP[] = "WifiAP";
    const char SETTINGS_NATIVE_WIRE_PLATFORM_GROUP[] = "NativeWire";
    const char SETTINGS_TOPOLOGY_GATE_PLATFORM_GROUP[] = "TopologyGate";
    const char SETTINGS_ACTIONMANAGER_BRIDGE_NAME[] = "ActionManagerBridgeName";

    const int SETTINGS_LOG_FILTER_GROUP = 1337;

    const char SETTINGS_ENABLE_SPICE_COMPRESSION[] = "enableSpiceCompression";
    const char SETTINGS_ENABLE_SPICE_TLS[] = "enableSpiceTLS";
    const char SETTINGS_SPICE_TLS_CA_CERT_PATH[] = "spiceTLSCaCertPath";
    const char SETTINGS_SPICE_TLS_SERVER_CERT_PATH[] = "spiceTLSServerCertPath";

    const char SETTINGS_KVMQEMU_TMPDIR[] = "tmpDir";
    const char SETTINGS_KVMQEMU_DEFAULT_TMPDIR[] = "/var/tmp";

    const char SETTINGS_LXC_IDMAP_GROUP[] = "idmap";
    const char SETTINGS_LXC_IDMAP_UID_TARGET[] = "uidTarget";
    const char SETTINGS_LXC_IDMAP_UID_COUNT[] = "uidCount";
    const char SETTINGS_LXC_IDMAP_GID_TARGET[] = "gidTarget";
    const char SETTINGS_LXC_IDMAP_GID_COUNT[] = "gidCount";

    const char SETTINGS_VXLAN_HOST[] = "VxlanHost";

    const char ACTION_MANAGER_NWFILTER_NAME[] = "action-manager";
}
}

#endif // NODECONSTANTS_H
