/******************************************************************************
**
** Copyright (C) 2013 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef PLATFORMNATIVEDPIPEWIRE_H
#define PLATFORMNATIVEDPIPEWIRE_H

// hynesim node headers
#include "platformwire.h"

namespace HnsNode {

class EntityI;

class PlatformNativeWire : public PlatformWire
{
public:
    static Platform *create();
    static PlatformNativeWire *instance();
    virtual void beforeDefineEntity(EntityI *entity);

protected:
    explicit PlatformNativeWire();
    virtual ~PlatformNativeWire();

private:
    static PlatformNativeWire *_instance;
};

} // namespace HnsNode

#endif // PLATFORMNATIVEDPIPEWIRE_H
