#!/usr/bin/env python

import test, time, os, shutil, sys
test.prefix = "014"

test.createMasterDB()
test.createDB(os.path.join(test.commonPath, 'catalog.sql'), '/tmp/hnsCatalog.db')
catalogDst='/tmp/hnsTestCatalog'
if os.path.exists(catalogDst):
  shutil.rmtree(catalogDst)
shutil.copytree(os.path.join(test.commonPath, 'catalog'), catalogDst)

master = test.startMaster()
print "master started"

router = test.startRouter()
print "router started"

#node = test.startNode()
node1 = test.startServer(test.getTestExe("node"), ["--config=" + sys.path[0] + "/node.ini"])
print "node 1 started"

node2 = test.startServer(test.getTestExe("node"), ["--config=" + sys.path[0] + "/node2.ini"])
print "node 2 started"

client = test.startClient()
print "client started"

client.waitTestSuccess()

router.terminate()
router.waitTestSuccess(0)

node1.terminate();
node1.waitTestSuccess()

node2.terminate();
node2.waitTestSuccess()

master.terminate()
master.waitTestSuccess()


#shutil.rmtree(catalogDst)
