create table elements(id integer PRIMARY KEY, type integer, shortName text, longName text, description text, ownerId integer, groupId integer, perms integer, uuid text, creationDateTime datetime, lastModificationDateTime datetime, status integer, path text, parentId integer);

create table tags(id integer PRIMARY KEY autoincrement, name text);

create table join_elements_tags(id integer PRIMARY KEY autoincrement, elementId integer, tagId integer);

create table join_entries_folders(id integer PRIMARY KEY autoincrement, entryId integer, folderId integer);

insert into elements (uuid, shortName, longName, description, creationDateTime, lastModificationDateTime, path, ownerId, groupId, perms, type) values ('4546-4556-7897-7897-4546-4556-7897-7897', 'WIN XP', 'MS Windows XP', 'this is my description', '10/11/2011 2:23:32', '10/11/2011 2:23:32', '', 1, 1, 3, 1);

insert into elements (shortName, longName, description, parentId, type) values ('folder windows XP','windows XP SP2', 'XP + SP 2', '0', 3);

insert into tags (name) values ('windows');
insert into tags (name) values ('clean');
insert into tags (name) values ('ubuntu');
insert into join_elements_tags (elementId, tagId) values ('1', '1');
insert into join_elements_tags (elementId, tagId) values ('1', '2');
insert into join_elements_tags (elementId, tagId) values ('1', '3');
insert into join_elements_tags (elementId, tagId) values ('4', '0');

insert into join_entries_folders (entryId, folderId) values ('1','1');


