#include "qiceobj_accessrights.h"
#include <QtIce/utils.h>
#include <QtCore/QDebug>

_Diamesh_ACLManager::_Diamesh_ACLManager() :
  QIceObject()
{
  qRegisterMetaType< QString >("QString");
  QObject::connect(this, SIGNAL(aclChanged(QString,QString)), this, SLOT(_emit_aclChanged(QString,QString)));
  QObject::connect(this, SIGNAL(aclRemoved(QString,QString)), this, SLOT(_emit_aclRemoved(QString,QString)));
  QObject::connect(this, SIGNAL(aclAdded(QString,QString)), this, SLOT(_emit_aclAdded(QString,QString)));
}

_Diamesh_ACLManager::~_Diamesh_ACLManager()
{
}

Q_DECLARE_METATYPE(QString)

void _Diamesh_ACLManager::_emit_aclChanged(QString arg0, QString arg1)
{
  QVariantList args;
  args << QVariant::fromValue(arg0);
  args << QVariant::fromValue(arg1);
  emitSignal("aclChanged(QString,QString)", "aclChanged(QString,QString)", args);
}

void _Diamesh_ACLManager::_emit_aclRemoved(QString arg0, QString arg1)
{
  QVariantList args;
  args << QVariant::fromValue(arg0);
  args << QVariant::fromValue(arg1);
  emitSignal("aclRemoved(QString,QString)", "aclRemoved(QString,QString)", args);
}

void _Diamesh_ACLManager::_emit_aclAdded(QString arg0, QString arg1)
{
  QVariantList args;
  args << QVariant::fromValue(arg0);
  args << QVariant::fromValue(arg1);
  emitSignal("aclAdded(QString,QString)", "aclAdded(QString,QString)", args);
}


