#include "qiceobj_hsetmanager.h"
#include <QtIce/utils.h>
#include <QtCore/QDebug>

_Diamesh_HSetManager::_Diamesh_HSetManager() :
  QIceObject()
{
  qRegisterMetaType< Ice::Long >("Ice::Long");
  QObject::connect(this, SIGNAL(hSetAdded(Ice::Long)), this, SLOT(_emit_hSetAdded(Ice::Long)));
  QObject::connect(this, SIGNAL(hSetChanged(Ice::Long)), this, SLOT(_emit_hSetChanged(Ice::Long)));
  QObject::connect(this, SIGNAL(hSetRemoved(Ice::Long)), this, SLOT(_emit_hSetRemoved(Ice::Long)));
}

_Diamesh_HSetManager::~_Diamesh_HSetManager()
{
}

Q_DECLARE_METATYPE(Ice::Long)

void _Diamesh_HSetManager::_emit_hSetAdded(Ice::Long arg0)
{
  QVariantList args;
  args << QVariant::fromValue(arg0);
  emitSignal("hSetAdded(Ice::Long)", "hSetAdded(Ice::Long)", args);
}

void _Diamesh_HSetManager::_emit_hSetChanged(Ice::Long arg0)
{
  QVariantList args;
  args << QVariant::fromValue(arg0);
  emitSignal("hSetChanged(Ice::Long)", "hSetChanged(Ice::Long)", args);
}

void _Diamesh_HSetManager::_emit_hSetRemoved(Ice::Long arg0)
{
  QVariantList args;
  args << QVariant::fromValue(arg0);
  emitSignal("hSetRemoved(Ice::Long)", "hSetRemoved(Ice::Long)", args);
}


