#include "qiceobj_sessionManager.h"
#include <QtIce/utils.h>
#include <QtCore/QDebug>

_Diamesh_SessionManager::_Diamesh_SessionManager() :
  QIceObject()
{
  qRegisterMetaType< Ice::Long >("Ice::Long");
  qRegisterMetaType< QString >("QString");
  QObject::connect(this, SIGNAL(userDisconnected(Ice::Long)), this, SLOT(_emit_userDisconnected(Ice::Long)));
  QObject::connect(this, SIGNAL(sessionCreated(QString)), this, SLOT(_emit_sessionCreated(QString)));
  QObject::connect(this, SIGNAL(sessionDestroyed(QString)), this, SLOT(_emit_sessionDestroyed(QString)));
}

_Diamesh_SessionManager::~_Diamesh_SessionManager()
{
}

Q_DECLARE_METATYPE(Ice::Long)
Q_DECLARE_METATYPE(QString)

void _Diamesh_SessionManager::_emit_userDisconnected(Ice::Long arg0)
{
  QVariantList args;
  args << QVariant::fromValue(arg0);
  emitSignal("userDisconnected(Ice::Long)", "userDisconnected(Ice::Long)", args);
}

void _Diamesh_SessionManager::_emit_sessionCreated(QString arg0)
{
  QVariantList args;
  args << QVariant::fromValue(arg0);
  emitSignal("sessionCreated(QString)", "sessionCreated(QString)", args);
}

void _Diamesh_SessionManager::_emit_sessionDestroyed(QString arg0)
{
  QVariantList args;
  args << QVariant::fromValue(arg0);
  emitSignal("sessionDestroyed(QString)", "sessionDestroyed(QString)", args);
}


