// ****************************************************************************
//
// Copyright (C) 2011-2012 DIATEAM. All rights reserved.
//
// This file is part of diamesh.
//
// Hynesim is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License version 2 
// as published by the Free Software Foundation.
//
// Hynesim is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// ****************************************************************************

#ifndef FILE_TRANSFER_ICE
#define FILE_TRANSFER_ICE

#include <QtIce/qtice.ice>
#include <diamesh/types.ice>

module Diamesh
{

interface FileTransfer extends QtIce::SignalEmitter
{
    ByteArray readFile( long offset, long num);
    long getSize();
    string getFileName();
    void setFilePath(string filepath);
};

};
#endif // FILE_TRANSFER_ICE
