include(FindPackageHandleStandardArgs)

find_package(PkgConfig)
pkg_check_modules(PC_LIBVIRT libvirt)

find_library(LIBVIRT_LIBRARIES
    NAMES virt
    HINTS ${PC_LIBVIRT_LIBDIR} ${PC_LIBVIRT_LIBRARY_DIRS}
    )

find_path(LIBVIRT_INCLUDE_DIR libvirt/libvirt.h
    HINTS ${PC_LIBVIRT_INCLUDEDIR} ${PC_LIBVIRT_INCLUDE_DIRS}
    )

find_package_handle_standard_args(Libvirt REQUIRED_VARS LIBVIRT_LIBRARIES LIBVIRT_INCLUDE_DIR VERSION_VAR PC_LIBVIRT_VERSION)
