// ****************************************************************************
//
// Copyright (C) 2003-2014 DIATEAM. All rights reserved.
//
// This file is part of Hynesim.
//
// Hynesim is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License version 2
// as published by the Free Software Foundation.
//
// Hynesim is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// ****************************************************************************

#ifndef CATALOGITEM_ICE
#define CATALOGITEM_ICE

#include <diamesh/accessrights.ice>
#include <diamesh/types.ice>

module Hns
{

class CatalogItem extends Diamesh::ACLTarget
{
    string shortName = "";
    string longName = "";
    string description = "";
    long creationDateTime = 0;
    long lastModificationDateTime = 0;
    Diamesh::StringList tagList;
    long parentId = 0;
};

}; //module Hns
#endif //CATALOGITEM_ICE
