// ****************************************************************************
//
// Copyright (C) 2003-2012 DIATEAM. All rights reserved.
//
// This file is part of Hynesim.
//
// Hynesim is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License version 2 
// as published by the Free Software Foundation.
//
// Hynesim is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// ****************************************************************************

#ifndef SNAPSHOT_ICE
#define SNAPSHOT_ICE

#include<diamesh/types.ice>

module Hns
{

struct Snapshot
{
    string name;
    string creationDateTime;
    string description;
    string parent;
    /*<name, file> ------>   <(sda,/path/to/sda), (sdb,/path/to/sdb), (sdX,/path/to/sdX)>*/
    Diamesh::StringStringMap childDisks;
    Diamesh::StringStringMap parentDisks;

};
["cpp:type:std::list<Hns::Snapshot>"]
sequence<Snapshot> SnapshotList;

};

#endif // SNAPSHOT_ICE
