// ****************************************************************************
//
// Copyright (C) 2003-2012 DIATEAM. All rights reserved.
//
// This file is part of Hynesim.
//
// Hynesim is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License version 2 
// as published by the Free Software Foundation.
//
// Hynesim is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// ****************************************************************************

#ifndef HNS_USER_MANAGER_ICE
#define HNS_USER_MANAGER_ICE

#include <QtIce/qtice.ice>
#include <diamesh/usermanager.ice>
#include <diamesh/types.ice>

module Hns
{

class User extends Diamesh::User
{
  string firstname;
  string lastname;
  bool isAdvanced = false;
};

};

#endif // HNS_USER_MANAGER_ICE
