/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2 
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

// Generated hynesim headers
#include "common/version.h"

// Generated diamesh headers
#include <diamesh/info.h>

namespace Hns {

const char * buildDate()
{
    return __DATE__;
}

const char * buildTime()
{
    return __TIME__;
}

static Diamesh::VersionInfo initInfo()
{
    Diamesh::VersionInfo info;
    info.version = HYNESIM_VERSION_STR;
    info.versionDescription = HYNESIM_VERSION_DESCRIPTION_STR;
    info.revision = HYNESIM_REVISION_STR;
    info.buildDate = Hns::buildDate();
    info.buildTime = Hns::buildTime();
    return info;
}
static Diamesh::VersionInfo info = initInfo();

const Diamesh::VersionInfo &versionInfo()
{
    return info;
}

} // namespace Hns
