// ****************************************************************************
//
// Copyright (C) 2003-2012 DIATEAM. All rights reserved.
//
// This file is part of Hynesim.
//
// Hynesim is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License version 2 
// as published by the Free Software Foundation.
//
// Hynesim is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// ****************************************************************************

#ifndef WIFIAP_ENTRY_ICE
#define WIFIAP_ENTRY_ICE

#include <common/entityentry.ice>

module Hns
{

enum AuthTypeEnum {NONE , WEP, WPA1 , WPA2 , WPA12};

class WifiAPEntry extends EntityEntry
{
    string macAdress;
    string ssid;
    AuthTypeEnum authType;
    string key;
    int channel;
    bool hidden;
};

};
#endif // WIFIAP_ENTRY_ICE
