// ****************************************************************************
//
// Copyright (C) 2003-2012 DIATEAM. All rights reserved.
//
// This file is part of Hynesim.
//
// Hynesim is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License version 2 
// as published by the Free Software Foundation.
//
// Hynesim is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// ****************************************************************************

#ifndef WIRE_ENTRY_ICE
#define WIRE_ENTRY_ICE

#include <common/entityentry.ice>

module Hns
{

struct WireProperty{
    int loss = 0; // %
    int delay = 0; // ms
    int dup = 0; // %
    int bandwidth = 0; // KB/s
    int mtu = 0; // B
};

class WireEntry extends EntityEntry
{
    string type = "nativeWire";
	WireProperty	propertyLR;
	WireProperty	propertyRL;
};

};

#endif // WIRE_ENTRY_ICE

