#!/bin/bash
#
# Copyright (C) 2011 diateam. All rights reserved.
#
# This file is part of hynesim.
#
# Hynesim is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# Hynesim is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
PATH="/usr/bin:/usr/sbin:/bin:/sbin"

source $(dirname $0)/scriptLib.sh

table_content=`nft list table inet hynesim_mangle -a`
handle=$(echo "$table_content" | grep 'iifname "'$1'" drop' | grep -oP -m1 "handle \d+")
nft delete rule inet hynesim_mangle prerouting $handle
handle=$(echo "$table_content" | grep 'oifname "'$1'" drop' | grep -oP -m1 "handle \d+")
nft delete rule inet hynesim_mangle postrouting $handle
