import sqlite3

from __main__ import Migration

RELATIONSHIP_TABLE = "entity_relationship"
ID_COLUMN = "id"
BASE_UUID_COLUMN = "base_uuid"
DIFF_UUID_COLUMN = "diff_uuid"

class CreateRelationshipTable(Migration):

    def migrate_impl(self):
        db_path = self.db_name_path_dict['Hynesim/catalog/dbName']
        conn = sqlite3.connect(db_path)
        conn.execute("CREATE TABLE %s (%s integer primary key autoincrement, %s text, %s text)" % (RELATIONSHIP_TABLE, ID_COLUMN, BASE_UUID_COLUMN, DIFF_UUID_COLUMN))
        conn.commit()
        conn.close()
