/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2 
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef HARDWAREMONITORINGWIDGET_H
#define HARDWAREMONITORINGWIDGET_H

// Project headers
#include "platformmonitorwidget.h"

namespace Ui {
class HardwareMonitoringWidget;
} // namespace Ui

namespace Hnv {

/*******************************************************************************
* HardwareMonitoringWidget
*******************************************************************************/
class HardwareMonitoringWidget : public MonitorWidget
{
    Q_OBJECT

public:
    explicit HardwareMonitoringWidget(QWidget *parent = 0);
    ~HardwareMonitoringWidget();

    void setMonitorItem(MonitorItem *item);

private:
    Ui::HardwareMonitoringWidget *ui;
};

} // namespace Hnv

#endif // HARDWAREMONITORINGWIDGET_H
