#include "entityclonedialog.h"
#include "ui_entityclonedialog.h"

namespace Hnv {

EntityCloneDialog::EntityCloneDialog(int cloneCount, QWidget *parent) :
    QDialog(parent),
    ui(new Ui::EntityCloneDialog)
{
    ui->setupUi(this);
    ui->fullCloneRadioButton->click();
    QString message = tr("Do you really want to clone selected entity ?");
    if (cloneCount > 1)
        message = tr("Do you really want to clone selected entities ?");
    ui->messageLabel->setText(message);
}

EntityCloneDialog::~EntityCloneDialog()
{
    delete ui;
}

bool EntityCloneDialog::isLinkedCloneChecked()
{
    return ui->linkedCloneRadioButton->isChecked();
}

} // namespace Hnv
