#ifndef NEWVLANFORM_H
#define NEWVLANFORM_H

// Qt headers
#include <QDialog>

namespace Ui {
class NewVlanForm;
} // namespace Ui

namespace Hnv {
class NewVlanForm : public QDialog
{
    Q_OBJECT
    
public:
    explicit NewVlanForm(QList<int> ids, QWidget *parent = 0);
    ~NewVlanForm();
    int getID();
    QString getName();
    QString getDescription();
    
private slots:
    void on_leName_textChanged(const QString &arg1);
    void on_leDescription_textChanged(const QString &arg1);
    void on_sbID_valueChanged(int arg1);
    void on_buttonBox_accepted();

private:
    Ui::NewVlanForm *ui;
    QList<int> _ids;
    int _ID;
    QString _name;
    QString _description;
};

} // namespace Hnv
#endif // NEWVLANFORM_H
