#ifndef PROPERTYPAGEFACTORY_H
#define PROPERTYPAGEFACTORY_H

// Generated hynesim headers
#include "common/entryproperties.h"

// Qt headers
#include <QObject>

namespace HnsClient {
class CatalogItem;
} // namespace HnsClient

namespace Hnv {

class EntryPropertiesPage;

class PropertyPageFactory : public QObject
{
    Q_OBJECT
public:
    explicit PropertyPageFactory(HnsClient::CatalogItem *entry, QObject *parent = 0);
    QList<EntryPropertiesPage *> getPropertiesPages(QWidget *parent, Hns::EntryPropertiesPtr entryProperties, bool readOnly = false, bool defined = false, bool editabletemplate = false, bool displayAccessPage = false);

private:
    HnsClient::CatalogItem *_catalogItem;
};
    
} // namespace Hnv

#endif // PROPERTYPAGEFACTORY_H
