#ifndef ENTRYPROPERTIESLIST_H
#define ENTRYPROPERTIESLIST_H

// Project headers
#include "hnvwidgets.h"

class QToolButton;

namespace Ui {
class DialogButtonListWidget;
} // namespace Ui

namespace Hnv {

class DialogButtonListWidget : public ButtonListWidget
{
    Q_OBJECT
    
public:
    explicit DialogButtonListWidget(QWidget *parent = 0);
    ~DialogButtonListWidget();
    void addButton(QToolButton *toolButton);
    void setCurrentButton(QToolButton *toolButton);
signals:
    void currentButtonChanged(int index);
private slots:
    void _toolButtonClickedSlot();
private:
    Ui::DialogButtonListWidget *ui;
    QHash<int, QToolButton *>_buttonHash; //index, button
    QToolButton *_currentCheckButton;
};

} // namespace Hnv
#endif // ENTRYPROPERTIESLIST_H
