/******************************************************************************
**
** Copyright (C) 2003-2013 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/
#ifndef SNAPSHOTDETAILS_H
#define SNAPSHOTDETAILS_H

// Qt headers
#include <QWidget>

namespace Ui {
class SnapshotDetails;
} // namespace Ui

namespace Hnv {

class SnapshotDetails : public QWidget
{
    Q_OBJECT
    
public:
    explicit SnapshotDetails(QWidget *parent = 0);
    ~SnapshotDetails();
    void setName(QString name);
    void setDescription(QString desc);

private:
    Ui::SnapshotDetails *ui;
};

} // namespace Hnv
#endif // SNAPSHOTDETAILS_H
