/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2 
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef STATUSBARLABEL_H
#define STATUSBARLABEL_H

// Qt headers
#include <QLabel>

namespace Hnv {

/*******************************************************************************
* StatusBarLabel
*******************************************************************************/
class StatusBarLabel : public QLabel
{
    Q_OBJECT
public:
    explicit StatusBarLabel(QWidget *parent = 0);
    void defineMaxSizeByPattern(QString textPattern);
};

} // namespace Hnv
#endif // STATUSBARLABEL_H
