/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef HNSCLIENT_DYNAMIPSROUTERDB_P_H
#define HNSCLIENT_DYNAMIPSROUTERDB_P_H

// Generated hynesim headers
#include "common/proxies_dynamipsrouterdb.h"

// Qt headers
#include <QString>
#include <QMap>

namespace HnsClient {

/*******************************************************************************
* DynamipsRouterDBPrivate
*******************************************************************************/
class DynamipsRouterDBPrivate
{
public:
    explicit DynamipsRouterDBPrivate();
    virtual ~DynamipsRouterDBPrivate();

    Hns::DynamipsRouterDBQPrx dynamipsRouterDBQPrx;

    QMap<QString, Hns::DataDynamipsRouter > dynamipsRouterMap;
    QMap<QString, Hns::DynamipsRouterModule > dynamipsModuleMap;

    int remoteCallCount;
};

} // namespace HnsClient

#endif //HNSCLIENT_DYNAMIPSROUTERDB_P_H
