/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef HNSCLIENT_ENTRYPROPERTIESMANAGER_P_H
#define HNSCLIENT_ENTRYPROPERTIESMANAGER_P_H

// Generated hynesim headers
#include "common/proxies_entrypropertiesmanager.h"

// Qt headers
#include <QObject>

namespace HnsClient {

/*******************************************************************************
* EntryPropertiesManagerPrivate
*******************************************************************************/
class EntryPropertiesManagerPrivate
{
public:
    explicit EntryPropertiesManagerPrivate();
    virtual ~EntryPropertiesManagerPrivate();

    Hns::EntryPropertiesManagerQPrx entryPropertiesManagerQPrx;
};


/*******************************************************************************
* GetEntryPropertiesCookie
*******************************************************************************/
class GetEntryPropertiesCookie : public QObject
{
    Q_OBJECT
public:
    explicit GetEntryPropertiesCookie(QObject *receiver, const char *slot);
    ~GetEntryPropertiesCookie();
    void emitCompleted(::Hns::EntryPropertiesPtr entryProperties);
signals:
    void completed(::Hns::EntryPropertiesPtr entryProperties);
};

} // namespace HnsClient

#endif //HNSCLIENT_ENTRYPROPERTIESMANAGER_P_H
