/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2 
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef SCRIPTRUNNER_H
#define SCRIPTRUNNER_H

// hynesim server headers
#include "processrunner.h"

namespace HnsServer {

class ScriptRunner : public ProcessRunner
{
    Q_OBJECT

public:
    explicit ScriptRunner(QObject *parent = 0);
    virtual ~ScriptRunner();
    void setScriptDirectory(const QString &scriptDirectory);

protected:
    void _beforeStart();

private:
    QString _scriptsDirectory;

};

} // namespace HnsServer

#endif // SCRIPTRUNNER_H
