#ifndef ENTRYWRAPPER_H
#define ENTRYWRAPPER_H

#include "catalogitemwrapper.h"

#include <QObject>

namespace Hns {

class EntryWrapper : public CatalogItemWrapper
{
    Q_OBJECT
public:
    explicit EntryWrapper(QObject *parent = 0);
    virtual bool update(CatalogDBStorage *db, CatalogFileStorage *fileStorage, CatalogItemPtr newItem);
    virtual bool create(CatalogDBStorage *db, CatalogFileStorage *fileStorage, CatalogItemPtr newItem, const Diamesh::UserPtr &currentUser);
    virtual bool remove(CatalogDBStorage *db, CatalogFileStorage *fileStorage);
};

} // namespace Hns

#endif // ENTRYWRAPPER_H
