/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2 
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef _HNS_SWITCH_H
#define _HNS_SWITCH_H

// Generated hynesim headers
#include "qiceobj_switch.h"
#include "common/entity.h"

// Qt headers
#include <QMap>

namespace Hns {

class SwitchI : public _Hns_Switch
{
    Q_OBJECT
public:
    Q_INVOKABLE SwitchI();
    ~SwitchI();

protected:
    QMap<Ice::Long, Hns::Plug> _getPlugs();
};

} // namespace Hns

#endif // _HNS_SWITCH_H
