/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef HYBRIDNETCARDCAPTUREHANDLER_H
#define HYBRIDNETCARDCAPTUREHANDLER_H

// hynesim node headers
#include "pcapcapturehandler.h"

namespace HnsNode {

class HybridNetcardCaptureHandler : public PcapCaptureHandler
{
    Q_OBJECT

public:
    Q_INVOKABLE HybridNetcardCaptureHandler();
    ~HybridNetcardCaptureHandler();

protected:
    QString _getFileNamePrefix();
    QString _getInterfaceToCapture();
};

} // namespace HnsNode

#endif // HYBRIDNETCARDCAPTUREHANDLER_H
