/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef ROUTER_2600_H
#define ROUTER_2600_H

// hynesim node headers
#include "platformdynamipsrouter.h"

// Generated hynesim headers
#include "common/entityentry.h"

namespace HnsNode {

/******************************************************************************
* Router2600Plugin
*/
class Router2600Plugin : public DynamipsPlugin
{
    Q_OBJECT
    Q_INTERFACES(HnsNode::DynamipsPlugin)
public:
    Router2600Plugin(QObject *parent = 0);
    virtual bool canBuild(const ::Hns::EntityEntryPtr &entityEntry = 0);
    QString name() const;
    QString description() const;
};

} // namespace HnsNode

#endif //ROUTER_2600_H
