/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2 
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#include "masterI.h"
#include "sqluserstorage.h"
#include <diamesh/coreapplication.h>
#include <diamesh/diamesh.h>
#include <QUuid>
#include <QtCore/QDebug>

int main(int argc, char **argv)
{
    Diamesh::CoreApplication * app = Diamesh::CoreApplication::create(argc, argv, NULL);
    Q_UNUSED(app);
    Hns::MasterI master;
    master.setUserManager(Hns::SqlUserStorage::create(master.db()));
    master.start();

    /*Hns::PermissionsManager *rm = Hns::PermissionsManager::instance();
    if (!rm) {
        qCritical() << "The permissions manager has not been created";
        return 1;
    }

    //create permissions for all users
    int permissions=Hns::RIGHT_OWNER_READ|Hns::RIGHT_GROUP_WRITE|Hns::RIGHT_OTHER_EXEC;
    QUuid uuid = QUuid::createUuid ();

    //set permissions for a given owner and group
    int ownerId=1;
    int groupId=1;
    rm->setPermissions(uuid, permissions, ownerId, groupId);

    int userPermissions = permissions & (Hns::RIGHT_OWNER_READ|Hns::RIGHT_OWNER_WRITE|Hns::RIGHT_OWNER_EXEC);
    //get the permissions for the owner, and check we get only the owner permissions
    int userId=ownerId;
    QList<int> groupIds;
    int permissions2 = rm->permissions(uuid, userId, groupIds);
    if (permissions2 != userPermissions) {
        qCritical() << "The owner permissions have not been correctly saved or retrieved: " << permissions << "->" << permissions2;
        return 1;
    }

    // set new permissions for the same uuid
    ownerId=2;
    groupId=2;
    permissions=Hns::RIGHT_OWNER_WRITE|Hns::RIGHT_GROUP_EXEC|Hns::RIGHT_OTHER_READ;
    rm->setPermissions(uuid, permissions, ownerId, groupId);

    //get the permissions for a group member, and check we get only the group permissions
    userId=1;
    groupIds.append(2);
    int groupPermissions = permissions & (Hns::RIGHT_GROUP_READ|Hns::RIGHT_GROUP_WRITE|Hns::RIGHT_GROUP_EXEC);
    permissions2 = rm->permissions(uuid, userId, groupIds);
    if (permissions2 != groupPermissions) {
        qCritical() << "The group permissions have not been correctly saved or retrieved: " << permissions << "->" << permissions2;
        return 1;
    }*/

    return app->exec();
}
