#!/usr/bin/env python

import test, time, os
test.prefix = "002"

test.createMasterDB()
test.createDB(os.path.join(test.commonPath, 'catalog.sql'), '/tmp/hnsCatalog.db')

master = test.startMaster()
print "master started"

router = test.startRouter()
print "router started"

client = test.startClient()
print "client started"

client.waitTestSuccess()

router.terminate()
router.waitTestSuccess(0)

master.terminate()
master.waitTestSuccess()
