/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2 
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef HNS_TEST_CALLBACK
#define HNS_TEST_CALLBACK

#include <QtCore/QObject>
#include <QtCore/QEventLoop>

class TestCallback: public QObject
{
    Q_OBJECT

public:
    TestCallback();
    ~TestCallback();
    void startLoop();
    void stopLoop();

public slots:
    void folderRemoved(bool result);

private:
    QEventLoop _loop;
    int _nbFoldersRemoved;
};


#endif // HNS_TEST_CALLBACK
