#!/usr/bin/env python
# -*- coding: utf-8 -*-

import test, time, os, shutil
test.prefix = "003"

test.createMasterDB()
test.createDB(os.path.join(test.commonPath, 'catalog.sql'), '/tmp/hnsCatalog.db')

catalogDst='/tmp/hnsTestCatalog/entities'
if os.path.exists(catalogDst):
  shutil.rmtree(catalogDst)
shutil.copytree(os.path.join(test.commonPath, 'catalog/entities'), catalogDst)

master = test.startMaster()
print "master started"

router = test.startRouter()
print "router started"

client = test.startClient()
print "client started"

client.waitTestSuccess()

router.terminate()
router.waitTestSuccess(0)

master.terminate()
master.waitTestSuccess()


shutil.rmtree(catalogDst)
