#!/usr/bin/env python

import test, time, os, shutil
test.prefix = "010"

test.createMasterDB()
test.createDB(os.path.join(test.commonPath, 'catalog.sql'), '/tmp/hnsCatalog.db')

catalogDst='/tmp/hnsTestCatalog'
if os.path.exists(catalogDst):
  shutil.rmtree(catalogDst)
shutil.copytree(os.path.join(test.commonPath, 'catalog'), catalogDst)

master = test.startMaster()
print "master started"

router = test.startRouter()
print "router started"

node = test.startNode()
print "node started"

client = test.startClient()
print "client started"

client.waitTestSuccess()

router.terminate()
router.waitTestSuccess(0)

node.terminate();
node.waitTestSuccess()

master.terminate()
master.waitTestSuccess()


#shutil.rmtree(catalogDst)
