/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2 
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#include "masterI.h"
#include "catalogI.h"
#include "common/folder.h"
#include "sqluserstorage.h"
#include <diamesh/coreapplication.h>
#include <diamesh/diamesh.h>
#include <QUuid>
#include <QtCore/QDebug>

int main(int argc, char **argv)
{
    Diamesh::CoreApplication * app = Diamesh::CoreApplication::create(argc, argv, NULL);
    Hns::MasterI master;
    master.setUserManager(Hns::SqlUserStorage::create(master.db()));
    master.start();
    return app->exec();
}
