/******************************************************************************
**
** Copyright (C) 2003-2012 DIATEAM. All rights reserved.
**
** This file is part of hynesim.
**
** hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2 
** as published by the Free Software Foundation.
**
** hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#include "nodeI.h"
#include <diamesh/coreapplication.h>
#include <QtCore/QDebug>
#include <Ice/ObjectAdapter.h>

int main(int argc, char **argv)
{
    Diamesh::CoreApplication * app = Diamesh::CoreApplication::create(argc, argv, NULL);

    Hns::NodeI node;
    node.adapter()->activate();

    node.setKey("node2");

    if(!node.connectToMaster())
    {
      qCritical() << QObject::tr("Node: unable to connect to the master");
      return 1;
    }

    return app->exec();
}
