// ****************************************************************************
//
// Copyright (C) 2011-2012 DIATEAM. All rights reserved.
//
// This file is part of QtIce.
//
// Hynesim is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License version 2 
// as published by the Free Software Foundation.
//
// Hynesim is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// ****************************************************************************

#ifndef _SIGNALS_ICE
#define _SIGNALS_ICE

#include <Ice/Identity.ice>

module QtIce
{
  sequence<byte> SignalArgs;

  interface SignalForwarder
  {
    void forward(string signal, string internalSignal, SignalArgs args);
  };

  interface SignalEmitter
  {
    void connect(SignalForwarder* client, string signal);
    void disconnect(SignalForwarder* client, string signal);
  };
};

#endif // _SIGNALS_ICE
