/******************************************************************************
**
** Copyright (C) 2011-2012 DIATEAM. All rights reserved.
**
** This file is part of QtIce.
**
** Hynesim is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2
** as published by the Free Software Foundation.
**
** Hynesim is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
******************************************************************************/

#ifndef QTICEUTILS_H
#define QTICEUTILS_H

#include <Ice/Communicator.h>
#include <QtCore/QMetaType>

//namespace Ice {

////
//// StreamTrait specialization for std::list
////
//template<typename T>
//struct StreamTrait< ::std::list<T> >
//{
//    static const StreamTraitType type = StreamTraitTypeSequence;
//    static const int minWireSize = 1;
//};

//} // namespace Ice

namespace QtIce {
  Ice::CommunicatorPtr iceCommunicator();
  void setIceCommunicator(const Ice::CommunicatorPtr &ptr);
} // namespace QtIce

Q_DECLARE_METATYPE(Ice::ByteSeq)
#endif // QTICEUTILS_H
